package com.xxl.job.executor.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.report.entity.BytedanceReportPlayableDaily;
import com.xxl.job.executor.report.entity.BytedanceReportPlayableRetry;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface BytedanceReportPlayableDailyMapper extends BaseMapper<BytedanceReportPlayableDaily> {

    void replaceIntoBatch(@Param("infos") List<BytedanceReportPlayableDaily> infos);
    void replaceMaterialRetry(@Param("retry") BytedanceReportPlayableRetry retry);
    List<BytedanceReportPlayableRetry> getRetryList();
    void updateRetry(@Param("retry") BytedanceReportPlayableRetry retry);
}
